sub BEGIN
# change this to add your own folder to the perl library path
{ push @INC, qw ( . ); }

use strict;
use Pi3;

sub execute {
    my($obj) = shift;
    my($pihttp) = shift;
    my($iobuf) = shift;
    my($r) = Pi3::PIHTTP_getDB($pihttp, &Pi3::GETDB_RESPONSE);

    # Set the location header and the appropriate StatusCode (302 Found)
    my($l) = "http://localhost".Pi3::PIDB_lookup($r,&Pi3::PIDBTYPE_STRING,"PathInfo",&Pi3::PIDBFLAG_NONE);
    Pi3::PIDB_replace($r,&Pi3::PIDBTYPE_RFC822,"Location",$l,&Pi3::PIDBFLAG_NONE);
    Pi3::HTTPUtil_doHTTPError($pihttp,&Pi3::ST_FOUND);

    # Send HTTP status line and response headers
    Pi3::HTTPCore_sendGeneralHeaders($pihttp);
    Pi3::HTTPCore_sendEntityHeaders($pihttp, $r);
    return &Pi3::PIAPI_COMPLETED;
};